Skip to content

Show BGP Peer Info.

GET
/api/operate/namespaces/{namespace}/sites/{site}/ver/bgp_peers
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/bgp_peers \
--header 'Authorization: <Authorization>'

Show BGP Peer information.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

A successful response.

Media typeapplication/json
BGP Peers Response

List of BGP peers and their status from all ver instances in the site.

object
ver
Ver Peer Status

Peer Status information from each ver instance.

Array<object>
Ver Instance BGP Peers

List of BGP peers and their status from a ver instance.

object
name
Ver Name

Host name of VER instance.

string
>= 6 characters <= 1024 characters
peer
Ver Peer Status

Peer Status information of the ver.

Array<object>
BGP Peer Status

Most recently observed status of the BGP Peering session.

object
advertised_prefix_count
Advertised Prefix Count

Number of prefixes advertised to the peer.

integer format: int64
connection_flap_count
Connection Flap Count

Number of times the connection moved from Established state to a non Established state.

integer format: int64
interface_name
Interface Name

Name of the interface through which peering is being done.

string
<= 1024 characters
local_address
Local Address

Local address used by the VER to connect to the peer.

string
<= 1024 characters
peer_address
object
ipv4
object
addr
IPv4 Address

IPv4 Address in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
addr
IPv6 Address

IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’

string
<= 1024 characters
peer_asn
Peer ASN

Autonomous System Number (ASN) of the Peer.

integer format: int64
peer_port
Peer Port

Port used by the Peer.

integer format: int64
peer_router_id
Peer Router ID

Router ID of the peer.

string
<= 1024 characters
protocol_status
string
default: Unknown
Allowed values: Unknown Idle Connect Active OpenSent OpenConfirm Established Clearing Deleted
received_prefix_count
Received Prefix Count

Number of prefixes received from the peer.

integer format: int64
up_down
string
default: BGP_PEER_DOWN
Allowed values: BGP_PEER_DOWN BGP_PEER_UP
up_down_timestamp
State Change Timestamp

Timestamp at which last state change to Established state or to not Established state happened.

string format: date-time
<= 1024 characters
bfd_status
object
state
string
default: BFD_PEER_UNKNOWN
Allowed values: BFD_PEER_UNKNOWN BFD_PEER_DOWN BFD_PEER_UP BFD_PEER_ADMIN_DOWN BFD_PEER_INIT
state_change_timestamp
State Change Timestamp

Timestamp at which last BFD state change happened.

string format: date-time
<= 1024 characters
Example
{
"ver": [
{
"peer": [
{
"protocol_status": "Unknown",
"up_down": "BGP_PEER_DOWN",
"bfd_status": {
"state": "BFD_PEER_UNKNOWN"
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example